Class | Tk::Iwidgets::Mainwindow
In: | tk/lib/tkextlib/iwidgets/mainwindow.rb
Parent: | Tk::Iwidgets::Shell

### Methods

child_site menubar mousebar msgd toolbar

### Constants

TkCommandNames | = | ['::iwidgets::mainwindow'.freeze].freeze
WidgetClassName | = | 'Mainwindow'.freeze

### Public Instance methods

child_site()

[Source]

    # File tk/lib/tkextlib/iwidgets/mainwindow.rb, line 36
      def child_site
        window(tk_call(@path, 'childsite'))
      end

menubar(*args)

[Source]

    # File tk/lib/tkextlib/iwidgets/mainwindow.rb, line 40
      def menubar(*args)
        unless args.empty?
          tk_call(@path, 'menubar', *args)
        end
        window(tk_call(@path, 'menubar'))
      end

mousebar(*args)

[Source]

    # File tk/lib/tkextlib/iwidgets/mainwindow.rb, line 47
      def mousebar(*args)
        unless args.empty?
          tk_call(@path, 'mousebar', *args)
        end
        window(tk_call(@path, 'mousebar'))
      end

msgd(*args)

[Source]

    # File tk/lib/tkextlib/iwidgets/mainwindow.rb, line 54
      def msgd(*args)
        unless args.empty?
          tk_call(@path, 'msgd', *args)
        end
        window(tk_call(@path, 'msgd'))
      end

toolbar(*args)

[Source]

    # File tk/lib/tkextlib/iwidgets/mainwindow.rb, line 61
      def toolbar(*args)
        unless args.empty?
          tk_call(@path, 'toolbar', *args)
        end
        window(tk_call(@path, 'toolbar'))
      end

[Validate]